The UOM Category object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

category_name string required
The UOM Category object
{
  "id": "u-o-m-category_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "category_name": "category_name_example"
}
GET /api/stock/u-o-m-category/{id}

Retrieve a uom category

Retrieves the details of an existing uom category. Supply the unique uom category ID that was returned from a previous request.

Path parameters

id string required

The identifier of the uom category to retrieve.

Returns

Returns the uom category object if a valid identifier was provided.

GET /api/stock/u-o-m-category/{id}
curl https://api.overplane.dev/api/stock/u-o-m-category/u-o-m-category_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "u-o-m-category_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "category_name": "category_name_example"
}
GET /api/stock/u-o-m-category

List all uom categorys

Returns a list of uom categorys. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of uom category objects.

GET /api/stock/u-o-m-category
curl https://api.overplane.dev/api/stock/u-o-m-category \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "u-o-m-category_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "category_name": "category_name_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/u-o-m-category

Create a uom category

Creates a new uom category object.

Body parameters

category_name string required

Returns

Returns the newly created uom category object if the call succeeded.

POST /api/stock/u-o-m-category
curl https://api.overplane.dev/api/stock/u-o-m-category \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"category_name":"category_name_example"}'
Response
{
  "id": "u-o-m-category_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "category_name": "category_name_example"
}
PATCH /api/stock/u-o-m-category/{id}

Update a uom category

Updates the specified uom category by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the uom category to update.

Body parameters

category_name string

Returns

Returns the updated uom category object.

PATCH /api/stock/u-o-m-category/{id}
curl https://api.overplane.dev/api/stock/u-o-m-category/u-o-m-category_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"category_name":"category_name_example"}'
Response
{
  "id": "u-o-m-category_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "category_name": "category_name_example"
}
DELETE /api/stock/u-o-m-category/{id}

Delete a uom category

Permanently deletes a uom category. This cannot be undone.

Path parameters

id string required

The identifier of the uom category to delete.

Returns

Returns a confirmation that the uom category has been deleted.

DELETE /api/stock/u-o-m-category/{id}
curl https://api.overplane.dev/api/stock/u-o-m-category/u-o-m-category_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "u-o-m-category_abc123",
  "deleted": true
}